{% extends 'base.html' %}

{% block title %}Spiders{% endblock %}
{% block active_tab %}Spiders{% endblock %}

{% block content %}
    <div class="content-base list-header">
        <h4>Spiders</h4>
        {{ md.add_button('Create', 'spider_create') }}
    </div>

    <div class="content-base no-pad">
        <table class="table">
            <thead>
            <tr>
                <th>Name</th>
                <th>Image</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for spider in spiders %}
                <tr>
                    <td><a href="{{ url_for('spider_detail', name=spider.name) }}">{{ spider.name }}</a></td>
                    <td>{{ spider.image_name }}</td>
                    <td class="button-column">
                        {% include 'spider_action_buttons.html' %}
                    </td>
                </tr>
            {% endfor %}
            {% if not spiders %}
                <tr>
                    <td class="empty-msg">No spiders yet</td>
                    <td></td>
                    <td></td>
                </tr>
            {% endif %}
            </tbody>
        </table>
    </div>
{% endblock %}
